(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16295,        406]
NotebookOptionsPosition[     15977,        390]
NotebookOutlinePosition[     16320,        405]
CellTagsIndexPosition[     16277,        402]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"CirclePoints", "[", "n_", "]"}], ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "*", "k", "*", "Pi"}], ")"}], "/", "n"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "*", "k", "*", "Pi"}], ")"}], "/", "n"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", 
         RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Ez", " ", "csak", " ", "10"}], "-", 
     RowBox[{"es", " ", "verzi\[OAcute]", " ", "el\[ODoubleAcute]tt", " ", 
      RowBox[{"sz\[UDoubleDot]ks\[EAcute]ges", "."}]}]}], "*)"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "2", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], ";", "\[IndentingNewLine]", 
    
    RowBox[{
     RowBox[{"DS", "[", "3", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5", ",", "7"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "4", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5", ",", "15", ",", "17"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "5", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"8", ",", "9", ",", "12", ",", "14", ",", "21", ",", "29"}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "6", "]"}], "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "7", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "4", ",", "14", ",", "33", ",", "37", ",", "44", 
       ",", "53"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "8", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "4", ",", "8", ",", "16", ",", "32", ",", "37", ",",
        "55", ",", "64"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DS", "[", "9", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "4", ",", "10", ",", "28", ",", "50", ",", "57", 
       ",", "62", ",", "78", ",", "82"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Kor", ":=", 
     RowBox[{"CirclePoints", "[", 
      RowBox[{
       RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"g0", ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", " ", 
        RowBox[{"Point", "[", "Kor", "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"g1", ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"FaceForm", "[", "]"}], ",", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", 
            RowBox[{"i", "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ")"}]}], 
            "]"}]}], "}"}], "]"}], ",", " ", 
        RowBox[{"Polygon", "[", 
         RowBox[{"Kor", "[", 
          RowBox[{"[", 
           RowBox[{"Mod", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"DS", "[", "q", "]"}], "+", "i"}], ",", 
             RowBox[{
              RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ",", "1"}], 
            "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"g2", ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"FaceForm", "[", "]"}], ",", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Hue", "[", 
            RowBox[{"j", "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ")"}]}], 
            "]"}]}], "}"}], "]"}], ",", " ", 
        RowBox[{"Polygon", "[", 
         RowBox[{"Kor", "[", 
          RowBox[{"[", 
           RowBox[{"Mod", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"DS", "[", "q", "]"}], "+", "j"}], ",", 
             RowBox[{
              RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ",", "1"}], 
            "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"P", ":=", 
     RowBox[{"Intersection", "[", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"DS", "[", "q", "]"}], "+", "i"}], ",", 
         RowBox[{
          RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ",", "1"}], "]"}], 
       ",", 
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"DS", "[", "q", "]"}], "+", "j"}], ",", 
         RowBox[{
          RowBox[{"q", "^", "2"}], "+", "q", "+", "1"}], ",", "1"}], "]"}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"g3", ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.04", "]"}], ",", " ", 
        RowBox[{"Point", "[", 
         RowBox[{"Kor", "[", 
          RowBox[{"[", "P", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"g4", ":=", 
     RowBox[{"Import", "[", "\"\<sadsmiley.png\>\"", "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"q", "\[Equal]", "6"}], ",", 
      RowBox[{"g0", "=", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Large", "]"}], ",", " ", 
            RowBox[{"Point", "[", "Kor", "]"}]}], "}"}], ",", 
          RowBox[{"Inset", "[", "g4", "]"}]}], "}"}], "]"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"g1", ",", "g2", ",", "g0", ",", "g3"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", ",", 
       "9"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{
      RowBox[{"q", "^", "2"}], "+", "q"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"j", ",", "1"}], "}"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"q", "^", "2"}], "+", "q"}], ",", "1"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.679220510333723*^9, 3.679220689878376*^9}, {
   3.679220721370461*^9, 3.679220733478568*^9}, {3.679220980930736*^9, 
   3.6792209810028477`*^9}, {3.67922101538732*^9, 3.679221018330858*^9}, {
   3.679221070633774*^9, 3.67922114953297*^9}, {3.679221850442415*^9, 
   3.679221875343643*^9}, 3.679221943084895*^9, {3.6792220348010273`*^9, 
   3.679222171681582*^9}, {3.679222208276896*^9, 3.679222313828083*^9}, {
   3.6792223466046143`*^9, 3.679222379902281*^9}, {3.679222551420396*^9, 
   3.679222568772998*^9}, {3.6792234553853483`*^9, 3.6792234651986217`*^9}, {
   3.679223502007348*^9, 3.679223567688259*^9}, {3.6792236029294863`*^9, 
   3.679223620853064*^9}, {3.679223678567995*^9, 3.679223698991308*^9}, {
   3.6792237621931543`*^9, 3.679223925953895*^9}, {3.67922410586283*^9, 
   3.6792241163463593`*^9}, {3.6792243709617558`*^9, 
   3.6792244177508717`*^9}, {3.679224461017693*^9, 3.679224497660432*^9}, {
   3.679224646809173*^9, 3.679224686933279*^9}, {3.6792247260715647`*^9, 
   3.679224760988785*^9}, 3.679224922581311*^9, 3.679225279387868*^9, {
   3.679227282065322*^9, 3.679227350407485*^9}, {3.681191888672279*^9, 
   3.681191911075943*^9}, {3.681193898599822*^9, 3.681193911443469*^9}, {
   3.681194008741088*^9, 3.681194009257925*^9}, {3.681283128538251*^9, 
   3.681283187035597*^9}, {3.681283258212668*^9, 3.6812833067654448`*^9}, 
   3.6812833513159933`*^9, {3.6812834884788384`*^9, 3.6812835291141624`*^9}, {
   3.682384996856351*^9, 3.6823850146833706`*^9}, {3.682385046529192*^9, 
   3.6823850567067738`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 0, $CellContext`j$$ = 
    1, $CellContext`q$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`q$$], {2, 3, 4, 5, 6, 7, 8, 9}}, {
      Hold[$CellContext`i$$], 0, 
      Dynamic[$CellContext`q$$^2 + $CellContext`q$$], 1}, {{
       Hold[$CellContext`j$$], 1}, 0, 
      Dynamic[$CellContext`q$$^2 + $CellContext`q$$], 1}}, Typeset`size$$ = {
    360., {182., 186.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`q$319$$ = 
    0, $CellContext`i$320$$ = 0, $CellContext`j$321$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`i$$ = 0, $CellContext`j$$ = 
        1, $CellContext`q$$ = 2}, "ControllerVariables" :> {
        Hold[$CellContext`q$$, $CellContext`q$319$$, 0], 
        Hold[$CellContext`i$$, $CellContext`i$320$$, 0], 
        Hold[$CellContext`j$$, $CellContext`j$321$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (SetDirectory[
         NotebookDirectory[]]; $CellContext`DS[2] = {1, 2, 
         4}; $CellContext`DS[3] = {1, 2, 5, 7}; $CellContext`DS[4] = {1, 2, 5,
          15, 17}; $CellContext`DS[5] = {8, 9, 12, 14, 21, 
         29}; $CellContext`DS[6] = {}; $CellContext`DS[7] = {1, 2, 4, 14, 33, 
         37, 44, 53}; $CellContext`DS[8] = {1, 2, 4, 8, 16, 32, 37, 55, 
         64}; $CellContext`DS[9] = {1, 2, 4, 10, 28, 50, 57, 62, 78, 
         82}; $CellContext`Kor := \
$CellContext`CirclePoints[$CellContext`q$$^2 + $CellContext`q$$ + 
          1]; $CellContext`g0 := Graphics[{
           PointSize[Large], 
           Point[$CellContext`Kor]}]; $CellContext`g1 := Graphics[{
           PointSize[Large], 
           FaceForm[], 
           EdgeForm[{Thick, 
             
             Hue[$CellContext`i$$/($CellContext`q$$^2 + $CellContext`q$$ + 
              1)]}], 
           Polygon[
            Part[$CellContext`Kor, 
             
             Mod[$CellContext`DS[$CellContext`q$$] + $CellContext`i$$, \
$CellContext`q$$^2 + $CellContext`q$$ + 1, 1]]]}]; $CellContext`g2 := 
        Graphics[{
           PointSize[Large], 
           FaceForm[], 
           EdgeForm[{Thick, 
             
             Hue[$CellContext`j$$/($CellContext`q$$^2 + $CellContext`q$$ + 
              1)]}], 
           Polygon[
            Part[$CellContext`Kor, 
             
             Mod[$CellContext`DS[$CellContext`q$$] + $CellContext`j$$, \
$CellContext`q$$^2 + $CellContext`q$$ + 1, 1]]]}]; $CellContext`P := 
        Intersection[
          
          Mod[$CellContext`DS[$CellContext`q$$] + $CellContext`i$$, \
$CellContext`q$$^2 + $CellContext`q$$ + 1, 1], 
          
          Mod[$CellContext`DS[$CellContext`q$$] + $CellContext`j$$, \
$CellContext`q$$^2 + $CellContext`q$$ + 1, 1]]; $CellContext`g3 := 
        Graphics[{Black, 
           PointSize[0.04], 
           Point[
            Part[$CellContext`Kor, $CellContext`P]]}]; $CellContext`g4 := 
        Import["sadsmiley.png"]; 
       If[$CellContext`q$$ == 6, $CellContext`g0 = Graphics[{{
             PointSize[Large], 
             Point[$CellContext`Kor]}, 
            Inset[$CellContext`g4]}]]; 
       Show[$CellContext`g1, $CellContext`g2, $CellContext`g0, \
$CellContext`g3]), 
      "Specifications" :> {{$CellContext`q$$, {2, 3, 4, 5, 6, 7, 8, 9}, 
         ControlType -> SetterBar}, {$CellContext`i$$, 0, 
         Dynamic[$CellContext`q$$^2 + $CellContext`q$$], 
         1}, {{$CellContext`j$$, 1}, 0, 
         Dynamic[$CellContext`q$$^2 + $CellContext`q$$], 1}}, "Options" :> {},
       "DefaultOptions" :> {}],
     ImageSizeCache->{411., {253., 258.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`DS[2] = {1, 2, 4}, $CellContext`DS[3] = {1,
         2, 5, 7}, $CellContext`DS[4] = {1, 2, 5, 15, 17}, $CellContext`DS[
        5] = {8, 9, 12, 14, 21, 29}, $CellContext`DS[6] = {}, $CellContext`DS[
        7] = {1, 2, 4, 14, 33, 37, 44, 53}, $CellContext`DS[8] = {1, 2, 4, 8, 
        16, 32, 37, 55, 64}, $CellContext`DS[9] = {1, 2, 4, 10, 28, 50, 57, 
        62, 78, 82}, $CellContext`Kor := $CellContext`CirclePoints[
        FE`q$$1^2 + FE`q$$1 + 1], $CellContext`CirclePoints[
         Pattern[$CellContext`n, 
          Blank[]]] := Table[{
          Cos[((2 $CellContext`k) Pi)/$CellContext`n], 
          Sin[((2 $CellContext`k) Pi)/$CellContext`n]}, {$CellContext`k, 
          0, $CellContext`n - 1}], $CellContext`n = 7, FE`q$$1 = 
       2, $CellContext`g0 := Graphics[{
          PointSize[Large], 
          Point[$CellContext`Kor]}], $CellContext`g1 := Graphics[{
          PointSize[Large], 
          FaceForm[], 
          EdgeForm[{Thick, 
            Hue[FE`i$$1/(FE`q$$1^2 + FE`q$$1 + 1)]}], 
          Polygon[
           Part[$CellContext`Kor, 
            
            Mod[$CellContext`DS[FE`q$$1] + FE`i$$1, FE`q$$1^2 + FE`q$$1 + 1, 
             1]]]}], FE`i$$1 = 0, $CellContext`g2 := Graphics[{
          PointSize[Large], 
          FaceForm[], 
          EdgeForm[{Thick, 
            Hue[FE`j$$1/(FE`q$$1^2 + FE`q$$1 + 1)]}], 
          Polygon[
           Part[$CellContext`Kor, 
            
            Mod[$CellContext`DS[FE`q$$1] + FE`j$$1, FE`q$$1^2 + FE`q$$1 + 1, 
             1]]]}], FE`j$$1 = 1, $CellContext`P := Intersection[
         Mod[$CellContext`DS[FE`q$$1] + FE`i$$1, FE`q$$1^2 + FE`q$$1 + 1, 1], 
         
         Mod[$CellContext`DS[FE`q$$1] + FE`j$$1, FE`q$$1^2 + FE`q$$1 + 1, 
          1]], $CellContext`g3 := Graphics[{Black, 
          PointSize[0.04], 
          Point[
           Part[$CellContext`Kor, $CellContext`P]]}], $CellContext`g4 := 
       Import["sadsmiley.png"]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.681189707621229*^9, {3.6811919023144503`*^9, 3.681191913544828*^9}, 
   3.681193917369665*^9, 3.681194010802383*^9, {3.6812832949247675`*^9, 
   3.681283307233472*^9}, 3.681283351947029*^9, 3.6812835363175745`*^9, 
   3.682385018661598*^9, 3.6823850626151123`*^9, 3.6824132451737947`*^9, 
   3.6824180005426245`*^9}]
}, Open  ]]
},
WindowSize->{1350, 633},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 8637, 221, 412, "Input"],
Cell[9220, 245, 6741, 142, 560, "Output"]
}, Open  ]]
}
]
*)

